[Fusionforge-commits] r7556 - in branches/Branch_4_8/gforge: deb-specific debian

Roland Mas lolando at libremir.placard.fr.eu.org
Mon May 4 15:06:26 CEST 2009


Author: lolando
Date: 2009-05-04 15:06:26 +0200 (Mon, 04 May 2009)
New Revision: 7556

Modified:
   branches/Branch_4_8/gforge/deb-specific/install-chroot.sh
   branches/Branch_4_8/gforge/debian/changelog
Log:
Allow install-chroot.sh to work even in vservers where device nodes can't be created

Modified: branches/Branch_4_8/gforge/deb-specific/install-chroot.sh
===================================================================
--- branches/Branch_4_8/gforge/deb-specific/install-chroot.sh	2009-05-02 07:38:53 UTC (rev 7555)
+++ branches/Branch_4_8/gforge/deb-specific/install-chroot.sh	2009-05-04 13:06:26 UTC (rev 7556)
@@ -81,9 +81,9 @@
 	cp /lib/libcom_err* $CHROOTDIR/lib
 
 	# Create devices files
-	[ -c $CHROOTDIR/dev/null ] || mknod $CHROOTDIR/dev/null c 1 3
-	[ -c $CHROOTDIR/dev/urandom ] || mknod $CHROOTDIR/dev/urandom c 1 9
-	[ -c $CHROOTDIR/dev/console ] || mknod $CHROOTDIR/dev/console c 5 1
+	[ -c $CHROOTDIR/dev/null ] || mknod $CHROOTDIR/dev/null c 1 3 || true
+	[ -c $CHROOTDIR/dev/urandom ] || mknod $CHROOTDIR/dev/urandom c 1 9 || true
+	[ -c $CHROOTDIR/dev/console ] || mknod $CHROOTDIR/dev/console c 5 1 || true
 	# For /dev/log
 	if ! grep -q "^SYSLOGD.*/var/lib/gforge/chroot/dev/log.*" /etc/default/syslogd ; then 
 		echo '######################################################################################################'

Modified: branches/Branch_4_8/gforge/debian/changelog
===================================================================
--- branches/Branch_4_8/gforge/debian/changelog	2009-05-02 07:38:53 UTC (rev 7555)
+++ branches/Branch_4_8/gforge/debian/changelog	2009-05-04 13:06:26 UTC (rev 7556)
@@ -1,8 +1,10 @@
-gforge (4.8~rc1-1+1) experimental; urgency=low
+gforge (4.8~rc1-1+2) experimental; urgency=low
 
   * New upstream snapshot.
+  * install-chroot.sh: do not fail if device nodes can't be created (such
+    as when operating in a vserver).
 
- -- Roland Mas <lolando at debian.org>  Tue, 28 Apr 2009 15:44:31 +0200
+ -- Roland Mas <lolando at debian.org>  Mon, 04 May 2009 15:05:23 +0200
 
 gforge (4.8~rc1-1) experimental; urgency=low
 




More information about the Fusionforge-commits mailing list